Results 1 to 7 of 7

I have Sprint 8330 and am going to upgrade from 4.3 to 4.5 and am ... RIM Handheld OS forum

  1. #1
    rxmaker1's Avatar
    rxmaker1 no está en línea Stack level 2
    Join Date
    Oct 2008
    PIN/ID
    Request
    Posts
    71

    Curve8330 OS an DB upgrade

    Advertisement



    I have Sprint 8330 and am going to upgrade from 4.3 to 4.5 and am aware that the most recent DM must be installed. Does the DM need to be that of the company that the OS is from? The Sprint OS is only 4.3 and I am using the OS offered by another Company? Also, is anyone aware whose 4.5 is most compatible with Sprint? Thank You in advance.

  2. #2
    moderncowboy's Avatar
    moderncowboy no está en línea Stack Moderator
    Join Date
    May 2008
    PIN/ID
    AskMe
    Posts
    7,297
    It doesn't matter where you get the DM from. My advice would be to get 4.5 or 4.6 from the BB site here. Stay away from 4.7. All 4.5 versions for the 8330 are compatible the only thing you need to remember is to delete the vendor.xml before you install. Alltel has the most current official OS which is 4.5.0.89 which you can find here. You can follow the links listed with the upgrade list or check my blog to learn how to upgrade with an OS not from your carrier or post back and someone will walk you through it.

  3. #3
    EricaJ1073's Avatar
    EricaJ1073 no está en línea PINStacked!
    Join Date
    Mar 2006
    Posts
    10,420
    You can use any 4.5 OS and any DM as long as it's not 4.7. DM 4.7 has been known to cause problems for many users (I had problems myself. I could not upgrade my 8120 with DM 4.7. I had to downgrade DM back to 4.6 to be able to upgrade my OS). I think you could use either AllTel or Verizon but I'm not sure as I've never used a CDMA device. Someone else may be able to correct me if I'm wrong.


  4. #4
    Hank061978's Avatar
    Hank061978 no está en línea Stack level 3
    Join Date
    Nov 2007
    Posts
    187
    I don't think RIM's Desktop Manager varies from carrier to carrier. You could download it from the RIM website if you wanted. Now I don't know which OS has had success with sprint other than Sprints own 4.5 version. I don't know if removing the vendor file out of another carriers update will work with Sprint phones because 1. I haven't seen any mention of it in the forum and 2. I am not with sprint. Sorry It is recommended that you get the 4.5 OS from your carrier. Also, I can give you this advice. The latest DM is 4.7 but due to problems installing the 4.5 update with 4.7 I will recommend you update to DM 4.6, do your OS 4.5 upgrade then update to the 4.7 DM (if you must have it)lol.

    Good luck
    Hank

  5. #5
    EricaJ1073's Avatar
    EricaJ1073 no está en línea PINStacked!
    Join Date
    Mar 2006
    Posts
    10,420
    I think there are other CDMA carriers that may have upgraded to 4.5. Removing the vendor.xml file will permit use of another carrier's OS in a device as long as it's for that specific model. Sprint did release 4.5 for one of their devices (I just don't remember which one). Here is the thread I was referring to http://forums.pinstack.com/f66/ladie..._4_5_os-97044/
    Last edited by EricaJ1073; 01-02-2009 at 02:13 AM.


  6. #6
    moderncowboy's Avatar
    moderncowboy no está en línea Stack Moderator
    Join Date
    May 2008
    PIN/ID
    AskMe
    Posts
    7,297
    The only official for the 8330 that i have found from sprint is 4.3.

  7. #7
    rxmaker1's Avatar
    rxmaker1 no está en línea Stack level 2
    Join Date
    Oct 2008
    PIN/ID
    Request
    Posts
    71
    Has anyone deleted the vendor file on the Sprint 8330 and been successful in the overall 4.5 upgrade. If so, are there any variation posted for other carriers?
    You all have given me great info Thank You!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •